Application (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.Application interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app
Interface Application

All Superinterfaces:
  ConfigurationItem, ITSystem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  SAPSystem

    public interface Application

extends ITSystem

A system of primarily software components that accomplish one or more tasks and that should be considered as a unit. Applications can be as simple as one executable running on a single computer (such as Microsoft Word) or as complicated as a distributed multi-tier J2EE application load-balanced across multiple web application servers. As a system, an Application can provide services to other parts of the business and also be "used" by processes to accomplish certain tasks. The class Application is the container for the set of resources. The Application class represents an Application "system" or container. An example of a Application system would be "SAP".

Persistable:
  true
Top Level:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`ApplicationDef` | `getAppDef()`
`AppDescriptor[]` | `getAppDescriptors()`
`java.lang.String` | `getAppVersion()`
`FunctionalGroup[]` | `getGroups()`
`java.lang.String` | `getInstallationNumber()`
`java.lang.String` | `getLicenseExpiryDate()`
`java.lang.String` | `getVendor()`
`boolean` | `hasAppDef()`
`boolean` | `hasAppDescriptors()`
`boolean` | `hasAppVersion()`
`boolean` | `hasGroups()`
`boolean` | `hasInstallationNumber()`
`boolean` | `hasLicenseExpiryDate()`
`boolean` | `hasVendor()`
`void` | `setAppDef(ApplicationDef def)`
`void` | `setAppDescriptors(AppDescriptor[] ads)`
`void` | `setAppVersion(java.lang.String vers)`
`void` | `setGroups(FunctionalGroup[] groups)`
`void` | `setInstallationNumber(java.lang.String installationNumber)`
`void` | `setLicenseExpiryDate(java.lang.String licenseExpiryDate)`
`void` | `setVendor(java.lang.String vendor)`

Methods inherited from interface com.collation.platform.model.topology.sys.ITSystem
`getComponents, getContact, getContainingSystem, getName, getURL, hasComponents, hasContact, hasContainingSystem, hasName, hasURL, setComponents, setContact, setContainingSystem, setName, setURL`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getGroups

    FunctionalGroup[] getGroups()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setGroups

    void setGroups(FunctionalGroup[] groups)

### hasGroups

    boolean hasGroups()

### getAppDef

    ApplicationDef getAppDef()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"

### setAppDef

    void setAppDef(ApplicationDef def)

### hasAppDef

    boolean hasAppDef()

### getAppDescriptors

    AppDescriptor[] getAppDescriptors()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"

### setAppDescriptors

    void setAppDescriptors(AppDescriptor[] ads)

### hasAppDescriptors

    boolean hasAppDescriptors()

### getAppVersion

    java.lang.String getAppVersion()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAppVersion

    void setAppVersion(java.lang.String vers)

### hasAppVersion

    boolean hasAppVersion()

### getVendor

    java.lang.String getVendor()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVendor

    void setVendor(java.lang.String vendor)

### hasVendor

    boolean hasVendor()

### getInstallationNumber

    java.lang.String getInstallationNumber()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setInstallationNumber

    void setInstallationNumber(java.lang.String installationNumber)

### hasInstallationNumber

    boolean hasInstallationNumber()

### getLicenseExpiryDate

    java.lang.String getLicenseExpiryDate()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLicenseExpiryDate

    void setLicenseExpiryDate(java.lang.String licenseExpiryDate)

### hasLicenseExpiryDate

    boolean hasLicenseExpiryDate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD